%undefine __cmake_in_source_build

Summary:        Web Open Font Format 2.0 library
Name:           woff2
Version:        1.0.2
Release:        6%{?dist}

License:        MIT
URL:            https://github.com/google/woff2
Source0:        https://github.com/google/woff2/archive/v%{version}/%{name}-%{version}.tar.gz

Patch3000:         covscan.patch

BuildRequires:  cmake gcc-c++ brotli-devel >= 1.0

%description
Based on experience with WOFF 1.0, which is widely deployed, this specification
was developed to provide improved compression and thus lower use of network
bandwidth, while still allowing fast decompression even on mobile devices. This
is achieved by combining a content-aware preprocessing step and improved entropy
coding, compared to the Flate compression used in WOFF 1.0.


%package        tools
Summary:        Web Open Font Format 2.0 tools
Requires:       %{name} = %{version}-%{release}

%description    tools
This package provides tools for compressing TTF files to WOFF2 format,
decompressing WOFF2 files back to TTF files and dumping WOFF2 file information.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides development files and utils for %{name}

%prep
%autosetup -p1

%build
%cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_INSTALL_LIBDIR="%{_libdir}" \
    -DCMAKE_SKIP_RPATH=TRUE
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_bindir}/

pushd %{_vpath_builddir}
install -m755 woff2_decompress %{buildroot}%{_bindir}/
install -m755 woff2_compress %{buildroot}%{_bindir}/
install -m755 woff2_info %{buildroot}%{_bindir}/
popd

%files
%license LICENSE
%{_libdir}/libwoff2common.so.*
%{_libdir}/libwoff2dec.so.*
%{_libdir}/libwoff2enc.so.*

%files tools
%attr(755, root, root) %{_bindir}/woff2_compress
%attr(755, root, root) %{_bindir}/woff2_decompress
%attr(755, root, root) %{_bindir}/woff2_info

%files devel
%{_includedir}/woff2
%{_libdir}/libwoff2common.so
%{_libdir}/libwoff2dec.so
%{_libdir}/libwoff2enc.so
%{_libdir}/pkgconfig/libwoff2common.pc
%{_libdir}/pkgconfig/libwoff2dec.pc
%{_libdir}/pkgconfig/libwoff2enc.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 cunshunxia <cunshunxia@tencent.com> - 1.0.2-1
- initial build
